package com.hungraim.ltc.governance.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.entity.serviceManage.ChSuperviseOrgan;
import com.hungraim.ltc.pojo.vo.governance.SuperviseOrganEmpVO;
import com.hungraim.ltc.pojo.vo.governance.SuperviseOrganVO;
import org.springframework.stereotype.Service;

/**
 * 监管机构人员信息管理Service
 *
 * @author czz
 */
@Service
public interface SuperviseOrganEmpService {
    Page<SuperviseOrganEmpVO> superviseOrganEmpList(Page<SuperviseOrganEmpVO> page, Long organId, Boolean isIncluded, String organName, String superviseType, String superviseName, String superviseTel, String status);

    void updateEmpStatus(String empId, Short isLock);

    void insertOrUpdateEmpInfo(Long empId, Long spvOrganId, String spvEmpName, String certifType, String certifNum, String gender, Short age, String superviseTel, Short status);

    Page<SuperviseOrganVO> superviseOrganList(Page<SuperviseOrganVO> page, Long organId, Boolean isIncluded, String spvOrganName);

    void updateSpvStatus(String spvOrganId, Short isLock);

    void insertOrUpdateSpvInfo(ChSuperviseOrgan spvOrgan);
}
